%global src_name draklive-install-advert
%global desktop_name LXDE
%global desktop_suffix lxde

Summary:	%{desktop_name} specific files for Live installer
Name:		draklive-install-%{desktop_suffix}
Version:	1.47
Release:	1
Url:		https://abf.rosalinux.ru/soft/%{src_name}
Source0:	%{url}/archive/%{src_name}-version-%{version}.tar.gz
License:	GPL
Group:		System/Configuration/Other
BuildArch:	noarch
Provides:	draklive-install-advert
Conflicts:	draklive-install < 1.47
Conflicts:	draklive-install-kde
Conflicts:	draklive-install-gnome

%description
This package contains Live installer files that are specific for %{desktop_name}
desktop environment installation.

%prep
%setup -q -n %{src_name}-version-%{version}
%apply_patches

%install
mkdir -p %{buildroot}%{_datadir}/libDrakX/{pixmaps,advert}/{en,ru}
install -m 0644 %{desktop_suffix}/advert/en/ROSAOne-advert-1.png %{buildroot}%{_datadir}/libDrakX/pixmaps/en/ROSAOne-advert.png
install -m 0644 %{desktop_suffix}/advert/en/* %{buildroot}%{_datadir}/libDrakX/advert/en/
install -m 0644 %{desktop_suffix}/advert/ru/ROSAOne-advert-1.png %{buildroot}%{_datadir}/libDrakX/pixmaps/ru/ROSAOne-advert.png
install -m 0644 %{desktop_suffix}/advert/ru/* %{buildroot}%{_datadir}/libDrakX/advert/ru/

%files
%{_datadir}/libDrakX/pixmaps/*
%{_datadir}/libDrakX/advert/*

%changelog
* Wed Jan 28 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 1.47-1
+ Revision: 566e4ec
- Extracted advert images into DE-specific packages


